[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDatabase.CloseTransactions

End all transactions

## Declaration

Source position: db.pas line 1961

`public procedure TDatabase.CloseTransactions;`

## Description

CloseTransaction calls TDBTransaction.EndTransaction on all connected transactions. It is called automatically when the connection is closed, after all datasets are closed.

## See also

TCustomConnection.Close |  | Close the connection
TDatabase.CloseDatasets |  | Close all connected datasets

Documentation generated on: Feb 26 2014